Skip to main content
GET
/
reports
/
{id}
Get report information by ID
curl --request GET \
  --url https://app.pentest-tools.com/api/v2/reports/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "download_name": "report.pdf",
  "status": "waiting",
  "format": "pdf",
  "generation_date": "2023-11-07T05:31:56Z",
  "expiration_date": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use the "API key" from the profile page as the token

Path Parameters

id
integer
required

id of report

Response

OK

id
integer
download_name
string
Example:

"report.pdf"

status
enum<string>
Available options:
waiting,
in_progress,
finished,
failed,
unauthorized
format
enum<string>
Available options:
pdf,
html,
json,
csv,
xlsx,
docx
generation_date
string<date-time>
expiration_date
string<date-time>